import { Component, Input, ContentChild, AfterContentInit, HostBinding } from '@angular/core';
import { InputRefDirective } from '../common/input-ref.directive';

@Component({
  selector: 'au-fa-input',
  templateUrl: './au-fa-input.component.html',
  styleUrls: [ 
    './au-fa-input.component.css',
    './_au-fa-input-red-theme.scss'
    ]
})
export class AuFaInputComponent implements AfterContentInit {

  @Input()
  icon: string;

  @Input()
  placeholder: string;

  @ContentChild(InputRefDirective)
  input: InputRefDirective;

  @HostBinding('class.input-focus')
  get isInputFocus() {
    return this.input ? this.input.focus : false;
  }

  get classes() {
    const cssClasses = {};

    if (this.icon) {
      cssClasses['fa-' + this.icon] = true;
    }

    return cssClasses;
  }

  ngAfterContentInit() {
    if (!this.input) {
      console.error('Remember to add an input inside the au-fa-input element!');
    }
  }

}
